import { jsx } from "react/jsx-runtime";
import { TokenSHDW as TokenSHDW$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSHDW = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SHDW", "data-name": "TokenSHDW", ...props, children: /* @__PURE__ */ jsx(TokenSHDW$1, { variant }) });
  }
);
TokenSHDW.displayName = "TokenSHDW";
Object.assign(TokenSHDW, { isGdsIcon: true });
export {
  TokenSHDW
};
